MPD: util/CharUtil.hxx File Reference

MPD 0.20.18

Functions
CharUtil.hxx File Reference

Go to the source code of this file.

## Functions
static constexpr bool | IsASCII (const unsigned char ch)
static constexpr bool | IsASCII (const char ch)
static constexpr bool | IsWhitespaceOrNull (const char ch)
static constexpr bool | IsWhitespaceNotNull (const char ch)
static constexpr bool | IsWhitespaceFast (const char ch)
| Is the given character whitespace? This calls the faster one of IsWhitespaceOrNull() or IsWhitespaceNotNull(). More...
static constexpr bool | IsPrintableASCII (char ch)
static constexpr bool | IsDigitASCII (char ch)
static constexpr bool | IsUpperAlphaASCII (char ch)
static constexpr bool | IsLowerAlphaASCII (char ch)
static constexpr bool | IsAlphaASCII (char ch)
static constexpr bool | IsAlphaNumericASCII (char ch)
static constexpr char | ToUpperASCII (char ch)
| Convert the specified ASCII character (0x00..0x7f) to upper case. More...
static constexpr char | ToLowerASCII (char ch)
| Convert the specified ASCII character (0x00..0x7f) to lower case. More...

## Function Documentation

## ◆ IsAlphaASCII()

static constexpr bool IsAlphaASCII | ( | char | ch | ) |
| inlinestatic

Definition at line 104 of file CharUtil.hxx.

## ◆ IsAlphaNumericASCII()

static constexpr bool IsAlphaNumericASCII | ( | char | ch | ) |
| inlinestatic

Definition at line 111 of file CharUtil.hxx.

## ◆ IsASCII() [1/2]

static constexpr bool IsASCII | ( | const unsigned char | ch | ) |
| inlinestatic

Definition at line 35 of file CharUtil.hxx.

## ◆ IsASCII() [2/2]

static constexpr bool IsASCII | ( | const char | ch | ) |
| inlinestatic

Definition at line 42 of file CharUtil.hxx.

## ◆ IsDigitASCII()

static constexpr bool IsDigitASCII | ( | char | ch | ) |
| inlinestatic

Definition at line 83 of file CharUtil.hxx.

## ◆ IsLowerAlphaASCII()

static constexpr bool IsLowerAlphaASCII | ( | char | ch | ) |
| inlinestatic

Definition at line 97 of file CharUtil.hxx.

## ◆ IsPrintableASCII()

static constexpr bool IsPrintableASCII | ( | char | ch | ) |
| inlinestatic

Definition at line 76 of file CharUtil.hxx.

## ◆ IsUpperAlphaASCII()

static constexpr bool IsUpperAlphaASCII | ( | char | ch | ) |
| inlinestatic

Definition at line 90 of file CharUtil.hxx.

## ◆ IsWhitespaceFast()

static constexpr bool IsWhitespaceFast | ( | const char | ch | ) |
| inlinestatic

Is the given character whitespace? This calls the faster one of IsWhitespaceOrNull() or IsWhitespaceNotNull().

Use this if you want the fastest implementation, and you don't care if a null byte matches.

Definition at line 69 of file CharUtil.hxx.

## ◆ IsWhitespaceNotNull()

static constexpr bool IsWhitespaceNotNull | ( | const char | ch | ) |
| inlinestatic

Definition at line 56 of file CharUtil.hxx.

## ◆ IsWhitespaceOrNull()

static constexpr bool IsWhitespaceOrNull | ( | const char | ch | ) |
| inlinestatic

Definition at line 49 of file CharUtil.hxx.

## ◆ ToLowerASCII()

static constexpr char ToLowerASCII | ( | char | ch | ) |
| inlinestatic

Convert the specified ASCII character (0x00..0x7f) to lower case.

Unlike tolower(), it ignores the system locale.

Definition at line 135 of file CharUtil.hxx.

## ◆ ToUpperASCII()

static constexpr char ToUpperASCII | ( | char | ch | ) |
| inlinestatic

Convert the specified ASCII character (0x00..0x7f) to upper case.

Unlike toupper(), it ignores the system locale.

Definition at line 122 of file CharUtil.hxx.